# Get Institutions Retrieves the Institutions supported by Embedded Payment Run. The response payload should list all the institutions. Payment runs are funded from linked bank accounts provided by one of the supported institutions. We recommend that you enable Buyers to check if their banks are supported before they start the registration and onboarding process. Endpoint: GET /v1/institutions Version: v1 Security: apiKey ## Query parameters: - `country` (string) Filter by country - `institutionIds` (array) Filter by institution ID - `institutionName` (string) Filter by institution name - `market` (array) Filter by market Enum: "EEA", "UK" - `offset` (integer) - `limit` (integer) ## Response 200 fields (application/json): - `institutions` (array, required) - `institutions.id` (string, required) - `institutions.displayName` (string) - `institutions.markets` (array) Enum: "EEA", "UK" - `institutions.currencies` (array) Enum: "GBP", "EUR" - `institutions.countries` (array, required) Enum: "GB", "AT", "BE", "BG", "HR", "CY", "CZ", "DK", "EE", "FI", "FR", "DE", "GI", "GR", "HU", "IS", "IE", "IT", "LV", "LI", "LT", "LU", "MT", "NL", "NO", "PL", "PT", "RO", "SK", "SI", "ES", "SE" - `institutions.images` (object) - `institutions.images.logo` (string) - `institutions.images.icon` (string) - `count` (integer, required) The total number of records (excluding the paging limit) Example: 10 - `responseCount` (integer, required) The total number of records returned in this response (always capped at 100). Example: 100 ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `syntaxErrors` (object) Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided. - `syntaxErrors.invalidFields` (array) - `syntaxErrors.invalidFields.params` (array) - `syntaxErrors.invalidFields.fieldName` (string) - `syntaxErrors.invalidFields.error` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" ## Response 403 fields (application/json): - `errorCode` (string) Enum: "INSUFFICIENT_PERMISSIONS" ## Response default fields (application/json): - `code` (string) - `message` (string) ## Response 401 fields ## Response 429 fields ## Response 500 fields ## Response 503 fields